"use strict";

const errors = require("../errors");

module.exports = function decodeAccessToken(encodedAccessToken) {
	if (encodedAccessToken.includes(":")) {
		let [encodedDeviceId, token] = encodedAccessToken.split(":");

		return {
			deviceId: Buffer.from(encodedDeviceId, "base64").toString(),
			token: token
		};
	} else {
		throw new errors.InvalidAccessToken("Invalid access token provided");
	}
};