"use strict";

const expressPromiseRouter = require("express-promise-router");

module.exports = function(state) {
	let {db} = state;
	let router = expressPromiseRouter();

	router.get("/r0/account/3pid", (req, res) => {
		// https://matrix.org/docs/spec/client_server/r0.4.0.html#get-matrix-client-r0-account-3pid
		// Gets a list of the third party identifiers that the homeserver has associated with the user's account. This is not the same as the list of third party identifiers bound to the user's Matrix ID in identity servers.
	});

	router.post("/r0/account/3pid", (req, res) => {
		// https://matrix.org/docs/spec/client_server/r0.4.0.html#post-matrix-client-r0-account-3pid
		// Adds contact information to the user's account.
	});

	router.post("/r0/account/3pid/delete", (req, res) => {
		// https://matrix.org/docs/spec/client_server/r0.4.0.html#post-matrix-client-r0-account-3pid-delete
		// Removes a third party identifier from the user's account. This might not cause an unbind of the identifier from the identity server.
	});

	// MARKER: https://matrix.org/docs/spec/client_server/r0.4.0.html#id231

	return router;
}