"use strict";

const matchValue = require("../match-value");

module.exports = function validateUserIdentifier(userIdentifier) {
	let {assertProperties, isPresent, isString, isOneOf} = require("../validator-lib");

	assertProperties(userIdentifier, {
		type: [ isPresent, isOneOf("m.id.user", "m.id.thirdparty", "m.id.phone") ]
	});

	matchValue(userIdentifier.type, {
		"m.id.user": () => {
			assertProperties(userIdentifier, {
				user: [ isPresent, isString ]
			});
		},
		"m.id.thirdparty": () => {
			assertProperties(userIdentifier, {
				medium: [ isPresent, isString ],
				address: [ isPresent, isString ]
			});
		},
		"m.id.phone": () => {
			assertProperties(userIdentifier, {
				country: [ isPresent, isString ],
				phone: [ isPresent, isString ]
			});
		}
	});
};